Bug 1298713 - Why does the documentation guide direct you to the output of logs?
Why does the documentation guide direct you to the output of logs?
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: brice
Vikram Goyal
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-14 14:13 EST by Eric Jones
Modified: 2016-04-18 21:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
OpenShift Enterprise 3.1
Last Closed: 2016-04-18 21:55:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Jones 2016-01-14 14:13:29 EST
Document URL: 
https://access.redhat.com/documentation/en/openshift-enterprise/version-3.1/installation-and-configuration/#deploying-the-efk-stack

Section Number and Name: 
15.3. DEPLOYING THE EFK STACK

Describe the issue: 
Just before step 2, the documentation says:
When it runs, check the logs of the resulting pod (oc logs -f <pod_name>) for some instructions to follow after deployment. More details are given below.

Which seems to provide some fairly standardized information, why is this _not_ directly included in the guide for deploying the EFK stack?

Suggestions for improvement: 
Include this information directly into the documentation so the user can continue to just follow the guide.

Additional information: 
I could be incorrect and the information is simply spread about the docs in other locations, please correct me if this is the case.
Comment 1 brice 2016-02-23 01:28:06 EST
Eric,

I talked to the relevant people about this, and took a look myself, and it's a case of misleading words.

Checking the output of the logs isn't entirely necessary, and really only contains the steps also found in the docs, but personalised for your cluster. The main reason for checking the logs is to ensure the pod was deployed correctly.

This info has been submitted in this PR, which will hopefully merge soon:

https://github.com/openshift/openshift-docs/pull/1641

Let me know if there's anything else for this BZ.
Comment 2 Eric Jones 2016-02-23 09:48:47 EST
Brice,

I read the proposed changes and they make much more sense, I agree that it seems to have been an issue of misleading words.

Thank you for that clarification!
Comment 3 brice 2016-03-07 20:13:16 EST
This BZ has been fixed in the following section of PR #1641:

https://github.com/openshift/openshift-docs/pull/1641/files#diff-0bd2e2c1a5da6f157682d4e95ecea473R280

Moving this to complete.

Note You need to log in before you can comment on or make changes to this bug.